Bug 650989 - [abrt] pylint-0.21.1-2.fc14: manager.py:192:file_from_module_name:AttributeError: 'NoneType' object has no attribute 'split'
Summary: [abrt] pylint-0.21.1-2.fc14: manager.py:192:file_from_module_name:AttributeEr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pylint
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e1b4c3b4
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-08 15:38 UTC by Patryk Zawadzki
Modified: 2010-12-13 20:14 UTC (History)
2 users (show)

Fixed In Version: pylint-0.22.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-13 20:14:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.12 KB, text/plain)
2010-11-08 15:38 UTC, Patryk Zawadzki
no flags Details

Description Patryk Zawadzki 2010-11-08 15:38:20 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/pylint invoicing
component: pylint
executable: /usr/bin/pylint
kernel: 2.6.35.6-48.fc14.x86_64
package: pylint-0.21.1-2.fc14
reason: manager.py:192:file_from_module_name:AttributeError: 'NoneType' object has no attribute 'split'
release: Fedora release 14 (Laughlin)
time: 1289228755
uid: 500

How to reproduce
-----
1. run pylint on python 2.7 with any piece of code that uses relative imports

Comment 1 Patryk Zawadzki 2010-11-08 15:38:23 UTC
Created attachment 458779 [details]
File: backtrace

Comment 2 Fedora Update System 2010-11-29 19:54:29 UTC
pylint-0.22.0-1.fc14,python-logilab-astng-0.21.0-1.fc14,python-logilab-common-0.53.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pylint-0.22.0-1.fc14,python-logilab-astng-0.21.0-1.fc14,python-logilab-common-0.53.0-1.fc14

Comment 3 Fedora Update System 2010-11-30 22:29:27 UTC
pylint-0.22.0-1.fc14, python-logilab-astng-0.21.0-1.fc14, python-logilab-common-0.53.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pylint python-logilab-astng python-logilab-common'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pylint-0.22.0-1.fc14,python-logilab-astng-0.21.0-1.fc14,python-logilab-common-0.53.0-1.fc14

Comment 4 Fedora Update System 2010-12-07 20:18:52 UTC
pylint-0.22.0-2.fc14, python-logilab-astng-0.21.0-2.fc14, python-logilab-common-0.53.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pylint python-logilab-astng python-logilab-common'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pylint-0.22.0-2.fc14,python-logilab-astng-0.21.0-2.fc14,python-logilab-common-0.53.0-1.fc14

Comment 5 Fedora Update System 2010-12-13 20:13:58 UTC
pylint-0.22.0-2.fc14, python-logilab-astng-0.21.0-2.fc14, python-logilab-common-0.53.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.